#include "values/RandBuffer.hpp"
#include "Math.hpp"

void RandBuffer::reset()
{
  m_buffer.clear();
  m_pos = 0;
}

float RandBuffer::next()
{
  if (m_pos * 4 < m_buffer.taken)
  {
    return ((float *)m_buffer.buffer)[m_pos++];
  }
  float ret = GetRandomFloat();
  m_buffer.add_end((uint8_t *)&ret, sizeof(float));
  m_pos++;
  return ret;
}